# eric6.E5Network.E5SslCertificatesDialog

Module implementing a dialog to show and edit all certificates.

### Global Attributes

None

### Classes

E5SslCertificatesDialog | Class implementing a dialog to show and edit all certificates.

### Functions

None

## E5SslCertificatesDialog

Class implementing a dialog to show and edit all certificates.

### Derived from

QDialog, Ui_E5SslCertificatesDialog

### Class Attributes

CertRole

### Class Methods

None

### Methods

E5SslCertificatesDialog | Constructor
__createCaCertificateEntry | Private method to create a CA certificate entry.
__createServerCertificateEntry | Private method to create a server certificate entry.
__exportCertificate | Private slot to export a certificate.
__getSystemCaCertificates | Private method to get the list of system certificates.
__importCertificate | Private method to read a certificate.
__populateCaCertificatesTree | Private slot to populate the CA certificates tree.
__populateServerCertificatesTree | Private slot to populate the server certificates tree.
__updateDefaultConfiguration | Private method to update the default SSL configuration.
on_caCertificatesTree_currentItemChanged | Private slot handling a change of the current item in the CA certificates list.
on_caDeleteButton_clicked | Private slot to delete the selected CA certificate.
on_caExportButton_clicked | Private slot to export the selected CA certificate.
on_caImportButton_clicked | Private slot to import server certificates.
on_caViewButton_clicked | Private slot to show data of the selected CA certificate.
on_serversCertificatesTree_currentItemChanged | Private slot handling a change of the current item in the server certificates list.
on_serversDeleteButton_clicked | Private slot to delete the selected server certificate.
on_serversExportButton_clicked | Private slot to export the selected server certificate.
on_serversImportButton_clicked | Private slot to import server certificates.
on_serversViewButton_clicked | Private slot to show data of the selected server certificate.

### Static Methods

None

#### E5SslCertificatesDialog (Constructor)

E5SslCertificatesDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### E5SslCertificatesDialog.__createCaCertificateEntry

__createCaCertificateEntry(cert)

Private method to create a CA certificate entry.

cert
  certificate to insert (QSslCertificate)

#### E5SslCertificatesDialog.__createServerCertificateEntry

__createServerCertificateEntry(server, cert)

Private method to create a server certificate entry.

server
  server name of the certificate (string)
cert
  certificate to insert (QSslCertificate)

#### E5SslCertificatesDialog.__exportCertificate

__exportCertificate(name, cert)

Private slot to export a certificate.

name
  default file name without extension (string)
cert
  certificate to be exported (QSslCertificate)

#### E5SslCertificatesDialog.__getSystemCaCertificates

__getSystemCaCertificates()

Private method to get the list of system certificates.

Returns:
  list of system certificates (list of QSslCertificate)

#### E5SslCertificatesDialog.__importCertificate

__importCertificate()

Private method to read a certificate.

Returns:
  certificates read (list of QSslCertificate)

#### E5SslCertificatesDialog.__populateCaCertificatesTree

__populateCaCertificatesTree()

Private slot to populate the CA certificates tree.

#### E5SslCertificatesDialog.__populateServerCertificatesTree

__populateServerCertificatesTree()

Private slot to populate the server certificates tree.

#### E5SslCertificatesDialog.__updateDefaultConfiguration

__updateDefaultConfiguration()

Private method to update the default SSL configuration.

#### E5SslCertificatesDialog.on_caCertificatesTree_currentItemChanged

on_caCertificatesTree_currentItemChanged(current, previous)

Private slot handling a change of the current item in the CA certificates list.

current
  new current item (QTreeWidgetItem)
previous
  previous current item (QTreeWidgetItem)

#### E5SslCertificatesDialog.on_caDeleteButton_clicked

on_caDeleteButton_clicked()

Private slot to delete the selected CA certificate.

#### E5SslCertificatesDialog.on_caExportButton_clicked

on_caExportButton_clicked()

Private slot to export the selected CA certificate.

#### E5SslCertificatesDialog.on_caImportButton_clicked

on_caImportButton_clicked()

Private slot to import server certificates.

#### E5SslCertificatesDialog.on_caViewButton_clicked

on_caViewButton_clicked()

Private slot to show data of the selected CA certificate.

#### E5SslCertificatesDialog.on_serversCertificatesTree_currentItemChanged

on_serversCertificatesTree_currentItemChanged(current, previous)

Private slot handling a change of the current item in the server certificates list.

current
  new current item (QTreeWidgetItem)
previous
  previous current item (QTreeWidgetItem)

#### E5SslCertificatesDialog.on_serversDeleteButton_clicked

on_serversDeleteButton_clicked()

Private slot to delete the selected server certificate.

#### E5SslCertificatesDialog.on_serversExportButton_clicked

on_serversExportButton_clicked()

Private slot to export the selected server certificate.

#### E5SslCertificatesDialog.on_serversImportButton_clicked

on_serversImportButton_clicked()

Private slot to import server certificates.

#### E5SslCertificatesDialog.on_serversViewButton_clicked

on_serversViewButton_clicked()

Private slot to show data of the selected server certificate.

Up